| Irrlicht 3D Engine |

Classes | Namespaces | Typedefs
ISceneNode.h File Reference
`#include "IAttributeExchangingObject.h"`
`#include "ESceneNodeTypes.h"`
`#include "ECullingTypes.h"`
`#include "EDebugSceneTypes.h"`
`#include "ISceneNodeAnimator.h"`
`#include "ITriangleSelector.h"`
`#include "SMaterial.h"`
`#include "irrString.h"`
`#include "aabbox3d.h"`
`#include "matrix4.h"`
`#include "irrList.h"`
`#include "IAttributes.h"`

Go to the source code of this file.

## Classes

- class irr::scene::ISceneNode
    Scene node interface. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::scene

    All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...

## Typedefs

- typedef core::list
  < ISceneNodeAnimator * > irr::scene::ISceneNodeAnimatorList
    Typedef for list of scene node animators.
- typedef core::list< ISceneNode * > irr::scene::ISceneNodeList
    Typedef for list of scene nodes.